com.amazonaws.services.simpleworkflow.model

## Class LambdaFunctionStartedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.LambdaFunctionStartedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class LambdaFunctionStartedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details for the `LambdaFunctionStarted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaFunctionStartedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LambdaFunctionStartedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getScheduledEventId()` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`int` `hashCode()`
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LambdaFunctionStartedEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaFunctionStartedEventAttributes

    public LambdaFunctionStartedEventAttributes()

### Method Detail

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public LambdaFunctionStartedEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LambdaFunctionStartedEventAttributes clone()

Overrides:
  `clone` in class `Object`